Bug 51373 - does not prompt for root password
Summary: does not prompt for root password
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-09 21:01 UTC by Gene Czarcinski
Modified: 2015-01-07 23:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 21:17:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2001-08-09 21:01:48 UTC
Description of Problem:
up2date does not prompt for root's password (like the man file says it should).

How Reproducible:
alwyas

Steps to Reproduce:
1. run up2date from regular user
2. 
3. 

Actual Results:
issues message that must be run as root and exits

Expected Results:
prompts for root's password and continues

Additional Information:

Comment 1 Glen Foster 2001-08-10 20:03:11 UTC
This defect is considered MUST-FIX for Fairfax.

Comment 2 Cristian Gafton 2001-08-10 20:58:05 UTC
Assigned to the owner of component

Comment 3 Adrian Likins 2001-08-10 21:17:16 UTC
If /usr/sbin/ is in your path as a user, you wont be prompted. 

The root prompting is handled by userhelper, which relies on
/sbin:/usr/sbin not being in user paths. ie, /usr/bin/up2date is
a link to userhelper, which asks for the password, and launches
the app as root. 

If this isnt the case, let me know.


Note You need to log in before you can comment on or make changes to this bug.